## org.apache.batik.ext.awt.image.rendered
Class TranslateRed

    java.lang.Object
      org.apache.batik.ext.awt.image.rendered.AbstractRed
          org.apache.batik.ext.awt.image.rendered.TranslateRed

All Implemented Interfaces:
  CachableRed, java.awt.image.RenderedImage

public class TranslateRed
extends AbstractRed

This is a special case of an Affine that only contains integer translations, this allows it to do it's work by simply changing the coordinate system of the tiles.

Field Summary
`protected int` `deltaX`
`protected int` `deltaY`

Fields inherited from class org.apache.batik.ext.awt.image.rendered.AbstractRed
`bounds, cm, minTileX, minTileY, numXTiles, numYTiles, props, sm, srcs, tileGridXOff, tileGridYOff, tileHeight, tileWidth`

Constructor Summary
`TranslateRed(CachableRed cr, int xloc, int yloc)` Construct an instance of TranslateRed

Method Summary
`java.awt.image.WritableRaster` `copyData(java.awt.image.WritableRaster wr)`
`java.awt.image.Raster` `getData()`
`java.awt.image.Raster` `getData(java.awt.Rectangle rect)`
`int` `getDeltaX()` The delata translation in x (absolute loc is available from getMinX())
`int` `getDeltaY()` The delata translation in y (absolute loc is available from getMinY())
`java.lang.Object` `getProperty(java.lang.String name)`
`java.lang.String[]` `getPropertyNames()`
`CachableRed` `getSource()` fetch the source image for this node.
`java.awt.image.Raster` `getTile(int tileX, int tileY)`

Methods inherited from class org.apache.batik.ext.awt.image.rendered.AbstractRed
`copyBand, copyToRaster, getBounds, getColorModel, getDependencyRegion, getDirtyRegion, getHeight, getMinTileX, getMinTileY, getMinX, getMinY, getNumXTiles, getNumYTiles, getSampleModel, getSources, getTileGridXOffset, getTileGridYOffset, getTileHeight, getTileWidth, getWidth, getXTile, getYTile, init, init, makeTile, updateTileGridInfo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### deltaX

    protected int deltaX

### deltaY

    protected int deltaY

Constructor Detail

### TranslateRed

    public TranslateRed(CachableRed cr,
                        int xloc,
                        int yloc)

  Construct an instance of TranslateRed

Parameters:
  `xloc` - The new x coordinate of cr.getMinX().
  `yloc` - The new y coordinate of cr.getMinY().

Method Detail

### getDeltaX

    public int getDeltaX()

  The delata translation in x (absolute loc is available from getMinX())

### getDeltaY

    public int getDeltaY()

  The delata translation in y (absolute loc is available from getMinY())

### getSource

    public CachableRed getSource()

  fetch the source image for this node.

### getProperty

    public java.lang.Object getProperty(java.lang.String name)

  Specified by:
    `getProperty` in interface `java.awt.image.RenderedImage`
  Overrides:
    `getProperty` in class `AbstractRed`

### getPropertyNames

    public java.lang.String[] getPropertyNames()

  Specified by:
    `getPropertyNames` in interface `java.awt.image.RenderedImage`
  Overrides:
    `getPropertyNames` in class `AbstractRed`

### getTile

    public java.awt.image.Raster getTile(int tileX,
                                         int tileY)

  Specified by:
    `getTile` in interface `java.awt.image.RenderedImage`
  Overrides:
    `getTile` in class `AbstractRed`

### getData

    public java.awt.image.Raster getData()

  Specified by:
    `getData` in interface `java.awt.image.RenderedImage`
  Overrides:
    `getData` in class `AbstractRed`

### getData

    public java.awt.image.Raster getData(java.awt.Rectangle rect)

  Specified by:
    `getData` in interface `java.awt.image.RenderedImage`
  Overrides:
    `getData` in class `AbstractRed`

### copyData

    public java.awt.image.WritableRaster copyData(java.awt.image.WritableRaster wr)

Copyright © 2004 Apache Software Foundation. All Rights Reserved.